Ketmus
Esc

API Reference v1

Список счетов

Возвращает счета магазина с фильтром по статусу и постраничной выдачей.

GETapp.ketmus.com/api/merchant/v1/invoices

Параметры запроса

statusstring
Фильтр по статусу, например paid. → Статусы
limitinteger
Сколько счетов вернуть: от 1 до 200. По умолчанию 50.
offsetinteger
Сколько счетов пропустить. По умолчанию 0.
order_idstring
Вернуть один счёт по номеру заказа вместо списка.

Пример запроса

curl "https://app.ketmus.com/api/merchant/v1/invoices?status=paid&limit=20&offset=0" \
  -H "Authorization: Bearer $KETMUS_API_KEY"

Ответ

Счета отсортированы от новых к старым. Чтобы получить следующую страницу, увеличьте offset на limit.

{
  "invoices": [
    {
      "type": "invoice",
      "id": "8f0c6a52-3f7e-4b8e-9d61-2c4b0f8a1e7d",
      "order_id": "ORDER-1042",
      "status": "paid",
      "is_final": true,
      "late_payment": false,
      "price": {
        "amount": "25",
        "currency": "USD"
      },
      "payment": {
        "rail": "usdt_tron",
        "asset": "USDT",
        "network": "tron",
        "address": "TQ7nX4yVh3cE9v5G2kRZb8aWm1pLd6sFJt",
        "memo": null,
        "amount_due": "25.31",
        "amount_received": "0",
        "amount_confirmed": "0",
        "late_amount": "0",
        "rate": "1",
        "txids": []
      },
      "fee": {
        "bps": 125,
        "payer": "payer",
        "amount": "0",
        "merchant_amount": "0"
      },
      "pay_url": "https://app.ketmus.com/checkout/inv_5Kq2ZtR8wLmA",
      "metadata": {
        "user_id": "u_731"
      },
      "created_at": "2026-11-03T10:15:00.000Z",
      "expires_at": "2026-11-03T11:15:00.000Z",
      "paid_at": null,
      "public_id": "inv_5Kq2ZtR8wLmA",
      "description": "Подписка Pro на 1 месяц",
      "lifetime_sec": 3600,
      "underpaid_coverage_bps": 0,
      "refresh_count": 0,
      "return_url": "https://shop.example.com/orders/1042",
      "success_url": "https://shop.example.com/orders/1042?paid=1",
      "fail_url": "https://shop.example.com/orders/1042?failed=1",
      "payer_email": null,
      "customer_id": null,
      "payment_uri": null,
      "explorer_address_url": "https://tronscan.org/#/address/TQ7nX4yVh3cE9v5G2kRZb8aWm1pLd6sFJt"
    }
  ],
  "limit": 20,
  "offset": 0
}